IT-словарь › Сети › RFC 1036

RFC 1036

Сети Svenska → Обновлено: 2026-10-19

Спецификация 1987 года, описывающая, как выглядит статья Usenet и как серверы передают их друг другу.

Мэри Энн Хортон и Рик Адамс написали её на смену RFC 850 1983 года. Каркас заимствован из RFC 822 для почты: блок заголовков, пустая строка, тело. Поверх Usenet добавил собственные обязательные заголовки: Newsgroups — куда адресована статья, Path — по какому маршруту она шла, и Message-ID — уникальный ключ, чтобы ни один сервер не принял одну статью дважды.

Документ определял и управляющие сообщения вроде newgroup и cancel, и здесь проявились слабые места: отправить их мог кто угодно, а как серверу узнать, вправе ли отправитель, спецификация умалчивала. RFC 1036 действовал больше двадцати лет, пока в 2009 году его не заменили RFC 5536 и 5537.

← Назад к словарю